grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.6.3-104-g9774457


From: Paolo Bonzini
Subject: grep branch, master, updated. v2.6.3-104-g9774457
Date: Tue, 14 Sep 2010 06:27:06 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  97744571e8104bebaf7026f584d2a983f997daec (commit)
       via  2c817e28252c67f50e6b798e4bfe18f9d41020ab (commit)
       via  feea8813494856d6a48b8b8a1c4b9363a6731c9f (commit)
      from  3ea331072d0dcb40ee78e1db88b7c9d1873022e8 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=97744571e8104bebaf7026f584d2a983f997daec


commit 97744571e8104bebaf7026f584d2a983f997daec
Author: Paolo Bonzini <address@hidden>
Date:   Wed Sep 8 11:39:56 2010 +0200

    tests: add equiv-classes
    
    * configure.ac (USE_INCLUDED_REGEX): Add Automake conditional.
    * tests/equiv-classes: New test.
    * tests/Makefile.am (TESTS): Add it.
    (XFAIL_TESTS) [USE_INCLUDED_REGEX]: Mark it as expected failure.

diff --git a/configure.ac b/configure.ac
index 01ae0f2..481ce86 100644
--- a/configure.ac
+++ b/configure.ac
@@ -151,6 +151,7 @@ dnl Some installers want to be informed if we do not use 
our regex.
 dnl For example, if the host platform uses dynamic linking and the installer
 dnl knows that the grep may be invoked on other hosts with buggy libraries,
 dnl then the installer should configure --with-included-regex.
+AM_CONDITIONAL([USE_INCLUDED_REGEX], [test "$ac_use_included_regex" = yes])
 if test "$ac_use_included_regex" = no; then
   AC_MSG_WARN([Included lib/regex.c not used])
 fi
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 13e549d..f66543f 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -27,6 +27,12 @@ XFAIL_TESTS = \
   word-delim-multibyte \
   grep-dir
 
+# Equivalence classes are only supported when using the system
+# matcher (which means only with glibc).
+if USE_INCLUDED_REGEX
+XFAIL_TESTS += equiv-classes
+endif
+
 TESTS =                                                \
   backref                                      \
   backref-word                                 \
@@ -41,6 +47,7 @@ TESTS =                                               \
   dfaexec-multibyte                            \
   empty                                                \
   ere                                          \
+  equiv-classes                                 \
   euc-mb                                       \
   fedora                                       \
   fgrep-infloop                                        \
diff --git a/tests/equiv-classes b/tests/equiv-classes
new file mode 100644
index 0000000..de38d95
--- /dev/null
+++ b/tests/equiv-classes
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Test that equivalence classes work.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+require_en_utf8_locale_
+
+LC_ALL=en_US.UTF-8
+export LC_ALL
+
+echo à | grep '[[=a=]]' > /dev/null
+Exit $?

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=2c817e28252c67f50e6b798e4bfe18f9d41020ab


commit 97744571e8104bebaf7026f584d2a983f997daec
Author: Paolo Bonzini <address@hidden>
Date:   Wed Sep 8 11:39:56 2010 +0200

    tests: add equiv-classes
    
    * configure.ac (USE_INCLUDED_REGEX): Add Automake conditional.
    * tests/equiv-classes: New test.
    * tests/Makefile.am (TESTS): Add it.
    (XFAIL_TESTS) [USE_INCLUDED_REGEX]: Mark it as expected failure.

diff --git a/configure.ac b/configure.ac
index 01ae0f2..481ce86 100644
--- a/configure.ac
+++ b/configure.ac
@@ -151,6 +151,7 @@ dnl Some installers want to be informed if we do not use 
our regex.
 dnl For example, if the host platform uses dynamic linking and the installer
 dnl knows that the grep may be invoked on other hosts with buggy libraries,
 dnl then the installer should configure --with-included-regex.
+AM_CONDITIONAL([USE_INCLUDED_REGEX], [test "$ac_use_included_regex" = yes])
 if test "$ac_use_included_regex" = no; then
   AC_MSG_WARN([Included lib/regex.c not used])
 fi
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 13e549d..f66543f 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -27,6 +27,12 @@ XFAIL_TESTS = \
   word-delim-multibyte \
   grep-dir
 
+# Equivalence classes are only supported when using the system
+# matcher (which means only with glibc).
+if USE_INCLUDED_REGEX
+XFAIL_TESTS += equiv-classes
+endif
+
 TESTS =                                                \
   backref                                      \
   backref-word                                 \
@@ -41,6 +47,7 @@ TESTS =                                               \
   dfaexec-multibyte                            \
   empty                                                \
   ere                                          \
+  equiv-classes                                 \
   euc-mb                                       \
   fedora                                       \
   fgrep-infloop                                        \
diff --git a/tests/equiv-classes b/tests/equiv-classes
new file mode 100644
index 0000000..de38d95
--- /dev/null
+++ b/tests/equiv-classes
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Test that equivalence classes work.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+require_en_utf8_locale_
+
+LC_ALL=en_US.UTF-8
+export LC_ALL
+
+echo à | grep '[[=a=]]' > /dev/null
+Exit $?

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=feea8813494856d6a48b8b8a1c4b9363a6731c9f


commit 97744571e8104bebaf7026f584d2a983f997daec
Author: Paolo Bonzini <address@hidden>
Date:   Wed Sep 8 11:39:56 2010 +0200

    tests: add equiv-classes
    
    * configure.ac (USE_INCLUDED_REGEX): Add Automake conditional.
    * tests/equiv-classes: New test.
    * tests/Makefile.am (TESTS): Add it.
    (XFAIL_TESTS) [USE_INCLUDED_REGEX]: Mark it as expected failure.

diff --git a/configure.ac b/configure.ac
index 01ae0f2..481ce86 100644
--- a/configure.ac
+++ b/configure.ac
@@ -151,6 +151,7 @@ dnl Some installers want to be informed if we do not use 
our regex.
 dnl For example, if the host platform uses dynamic linking and the installer
 dnl knows that the grep may be invoked on other hosts with buggy libraries,
 dnl then the installer should configure --with-included-regex.
+AM_CONDITIONAL([USE_INCLUDED_REGEX], [test "$ac_use_included_regex" = yes])
 if test "$ac_use_included_regex" = no; then
   AC_MSG_WARN([Included lib/regex.c not used])
 fi
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 13e549d..f66543f 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -27,6 +27,12 @@ XFAIL_TESTS = \
   word-delim-multibyte \
   grep-dir
 
+# Equivalence classes are only supported when using the system
+# matcher (which means only with glibc).
+if USE_INCLUDED_REGEX
+XFAIL_TESTS += equiv-classes
+endif
+
 TESTS =                                                \
   backref                                      \
   backref-word                                 \
@@ -41,6 +47,7 @@ TESTS =                                               \
   dfaexec-multibyte                            \
   empty                                                \
   ere                                          \
+  equiv-classes                                 \
   euc-mb                                       \
   fedora                                       \
   fgrep-infloop                                        \
diff --git a/tests/equiv-classes b/tests/equiv-classes
new file mode 100644
index 0000000..de38d95
--- /dev/null
+++ b/tests/equiv-classes
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Test that equivalence classes work.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+require_en_utf8_locale_
+
+LC_ALL=en_US.UTF-8
+export LC_ALL
+
+echo à | grep '[[=a=]]' > /dev/null
+Exit $?

-----------------------------------------------------------------------

Summary of changes:
 NEWS                |    2 ++
 configure.ac        |    1 +
 gnulib              |    2 +-
 src/dfa.c           |   13 +++++++++++++
 tests/Makefile.am   |    7 +++++++
 tests/equiv-classes |   12 ++++++++++++
 6 files changed, 36 insertions(+), 1 deletions(-)
 create mode 100644 tests/equiv-classes


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]